package com.goafanti.ambSystem.service.Impl;

import com.goafanti.ambSystem.bo.InputAmbPayment;
import com.goafanti.ambSystem.service.AmbPaymentService;
import com.goafanti.common.dao.AmbPaymentApplicationMapper;
import com.goafanti.common.dao.AmbSystemMapper;
import com.goafanti.common.model.AmbPaymentApplication;
import com.goafanti.core.mybatis.BaseMybatisDao;
import com.goafanti.core.shiro.token.TokenManager;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class AmbPaymentServiceImpl extends BaseMybatisDao<AmbPaymentApplicationMapper> implements AmbPaymentService {
    @Autowired
    private AmbPaymentApplicationMapper ambPaymentApplicationMapper;
    @Autowired
    private AmbSystemMapper ambSystemMapper;



    @Override
    public int add(InputAmbPayment in) {
        in.setStatus(0);
        in.setProcessStatus(0);
        return ambPaymentApplicationMapper.insertSelective(in);
    }

    @Override
    public int update(InputAmbPayment in) {

        return ambPaymentApplicationMapper.updateByPrimaryKeySelective(in);
    }




    @Override
    public AmbPaymentApplication selectByid(Long id) {
        return ambPaymentApplicationMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateById(AmbPaymentApplication newBo) {
        return ambPaymentApplicationMapper.updateByPrimaryKeySelective(newBo);
    }


}
